<h2>Registrate</h2>
<%= link_to "Atrás", :back %>
</br>
</br>
<%= form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f| %>
  <!--<%= devise_error_messages! %>
  -->
  <div class="field">
    <%= f.label :profilePicture, 'Foto de perfil' %><br />
    <%= f.file_field :profilePicture %>
  </div>
  <div class="field">
    <%= f.label :name,'Nombre' %><br />
    <%= f.text_field :name, autofocus: true %>
  </div>
  <div class="field">
    <%= f.label :lastName,'Apellidos' %><br />
    <%= f.text_field :lastName %>
  </div>
  <div class="field">
    <%= f.label :email, 'Correo electronico' %><br />
    <%= f.email_field :email, autocomplete: "email" %>
  </div>
  <div class="field">
    <%= f.label :direction, 'Dirección' %><br />
    <%= f.text_field :direction %>
  </div>
  <div class="field">
    <%= f.label :telephone, 'Teléfono' %><br />
    <%= f.text_field :telephone %>
  </div>
  <div class="field">
    <%= f.label :birthdate, 'Fecha de nacimiento' %><br />
    <%= f.date_select :birthdate, {order: [:day, :month, :year], prompt: { day: 'Seleccione el día', month: 'Seleccione el mes', year: 'Seleccione el año' }, start_year: Date.today.year, end_year: Date.today.year - 100}, {required: true} %>
  </div>

  <h2>Datos Médicos Básicos</h2>
  <div class="field">
    <%= f.label :bloodType, 'Tipo de Sangre' %><br />
    <%= f.text_field :bloodType %>
  </div>
  
  <div class="field">
    <%= f.label :importantDiseases, 'Enfermedades Importantes' %><br />
    <%= f.text_area :importantDiseases, size: "30x6" %>
  </div>
  
  <div class="field">
    <%= f.label :allergies, 'Alergias'%><br />
    <%= f.text_area :allergies, size: "30x6"  %>
  </div>

  <div class="field">
    <%= f.label :password,'Contraseña' %>
    <% if @minimum_password_length %>
    <em>(<%= @minimum_password_length %> caractres mínimo)</em>
    <% end %><br />
    <%= f.password_field :password, autocomplete: "off" %>
  </div>
  
  <div class="field">
    <%= f.label :password_confirmation,'Confirma tu contraseña' %><br />
    <%= f.password_field :password_confirmation, autocomplete: "off" %>
  </div>

  <div class="actions">
    <%= f.submit value = "Registrarse" %>
  </div>
<% end %>

<%= render "patients/shared/links" %>
